# Module: packet/user_attribute

## packet/user_attribute

#### new require("packet/user_attribute")()

  Source:
    - packet/user_attribute.js, line 37

Source:
  - packet/user_attribute.js, line 18

### Methods

#### read(input, position, len) → {module:packet/user_attribute}

  parsing function for a user attribute packet (tag 17).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | payload of a tag 17 packet
  `position` | Integer | position to start reading from the input string
  `len` | Integer | length of the packet or the remaining length of input at position

  Source:
    - packet/user_attribute.js, line 48

  ##### Returns:

  object representation
  Type
    module:packet/user_attribute